# Class NetworkRequestAbortedError

#### Hierarchy

- NetworkError
  - NetworkRequestAbortedError

#####
Index

### Constructors

constructor

### Properties

category
code
requestType
uri

## Constructors

### constructor

- new NetworkRequestAbortedError(uri, requestType): NetworkRequestAbortedError

- #### Parameters

  - uri: string
  - requestType: RequestType

  #### Returns NetworkRequestAbortedError

  Inherited from NetworkError.constructor

## Properties

### `Readonly` category

category: Network = ErrorCategory.Network

Inherited from NetworkError.category

### `Readonly` code

code: NetworkRequestAborted = ErrorCode.NetworkRequestAborted

Overrides NetworkError.code

### `Readonly` requestType

requestType: RequestType

Inherited from NetworkError.requestType

### `Readonly` uri

uri: string

Inherited from NetworkError.uri